Subject: Re: [Trans] Clarification regarding SCTs and intermediates.

From: Rob Stradling <[email-masked]>
Date: Mon, 01 Sep 2014 11:14:58 +0100

Hi Fabrice.  Some comments inline...

On 28/08/14 17:13, Fabrice Gautier wrote:
> Hi all,
>
> Per my reading of rfc 6962, it seems that SCT (in that RFC) are only
> produced for Leaf certificates. 6962-bis introduce a possibility that
> intermediates certs are also logged and SCT produced for them.
> (Section 3.2.3. Using a Name-Constrained Intermediate CA)
>
> This raised a couple questions:
>
> - How are SCTs for intermediates provided to TLS clients ? Can they be
> provided through the TLS extension? Through the OCSP response?
> Embedded in the leaf cert ? Or only embedded in the intermediate cert
> ?
>
> - If intermediates SCTs can be provided by the same channel as SCTs
> for leaf certs, how is the TLS client supposed to know which cert
> correspond to a given SCT? Should the TLS client just try all the
> certs in the chain until the signature match ? - afaict, there is no
> data in the SCT that bind it to the cert, beside the signature.

http://trac.tools.ietf.org/wg/trans/trac/ticket/10
http://trac.tools.ietf.org/wg/trans/trac/ticket/23

<snip>
> In 6962-bis, section 3.2.3, there is some language about what kind of
> intermediate CA are acceptable to log. It seems that at least some
> logs clients should also check that intermediates CA with SCTs do obey
> those rules. I'm not sure if it's the role of TLS clients, Auditors,
> Monitors or all of them to do so.

Good point.  I've just created 
http://trac.tools.ietf.org/wg/trans/trac/ticket/48

-- 
Rob Stradling
Senior Research & Development Scientist
COMODO - Creating Trust Online